Bug 68536 - files corrupted in System 7 transfers
files corrupted in System 7 transfers
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: netatalk (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Charlie Bennett
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 20:22 EDT by Robert Buffington
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 18:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Buffington 2002-07-10 20:22:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Files (documents and applications) transferred to Mac System 7 (7.1 through 
7.6) computers are corrupted. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Mount a Linux AppleShare volume.
2. Transfer several files from the netatalk server, including a text file (for 
testing).
3. View the text file in a text editor - the text beyond a certain point in 
the file will be garbled.


Additional info:

These problems occur on a system that was upgraded from Red Hat 7.2 to 7.3. 
Some configuration files for netatalk were not converted to the new netatalk 
format (AppleVolumes.default, for example), so there may be others that I am 
not familiar with that are causing this problem.
Comment 1 Phil Knirsch 2002-07-17 10:13:28 EDT
Does this happen with newer Mac OS versions, too or only with 7.x?

Also, have you first tried to copy some documents to the server and then copy
them back or where did the files come from?

Read ya, Phil
Comment 2 Robert Buffington 2002-07-19 16:32:19 EDT
More experimentation shows that the files are only corrupted when copying from 
the netatalk server, not to the server. These Macintoshes that are having 
problems are System 7.6 systems upgraded to AppleShare Client 3.8.1 for the 
AppleShare IP support. I have no other System 7 Macs available to test with. 
These copy problems are directly related to the Red Hat 7.3 upgrade as these 
are files that have been copied many times to and from Macintosh computers 
ranging from System 7.1 to 9.1.2 with previous Red Hat versions. Most of the 
files in our UCSD research lab are stored on the server for safekeeping and 
range from simple text files to sounds, pictures and software backups. Note 
that there have been no problems reported with any of the Mac OS 8 and 9 
computers - only the Macs with System 7. Hope this helps!
Comment 3 Mike McLean 2003-01-02 14:01:01 EST
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.
Comment 4 Charlie Bennett 2004-08-27 18:28:23 EDT
I'm closing this on the assumption that it is woefully stale and no
longer of interest.  If this assumption is wrong and the problem
still exists under Fedora Core, please reopen.

Thanks

Note You need to log in before you can comment on or make changes to this bug.